org.apache.bcel.verifier.exc

## Class StaticCodeInstructionConstraintException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
        - - org.apache.bcel.verifier.exc.VerificationException
          - - org.apache.bcel.verifier.exc.CodeConstraintException
            - - org.apache.bcel.verifier.exc.StaticCodeConstraintException
              - - org.apache.bcel.verifier.exc.StaticCodeInstructionConstraintException

- All Implemented Interfaces:
    Serializable

      public class StaticCodeInstructionConstraintException
      extends StaticCodeConstraintException

  Instances of this class are thrown by BCEL's class file verifier "JustIce" when a class file to verify does not pass the verification pass 3 because of a violation of a static constraint as described in the Java Virtual Machine Specification, Second edition, 4.8.1, pages 133-137. The static constraints checking part of pass 3 is called pass 3a in JustIce. Static constraints on the instructions in the code array are checked early in pass 3a and are described on page 134 in the Java Virtual Machine Specification, Second Edition.
  Version:
    $Id: StaticCodeInstructionConstraintException.java 1806200 2017-08-25 16:33:06Z ggregory $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticCodeInstructionConstraintException(String message)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException

      `extendMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticCodeInstructionConstraintException

          public StaticCodeInstructionConstraintException(String message)

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.